#  Author: Jonathan Michalon <michalon@igbmc.fr>, 2016
#  Institut de Génétique et de Biologie Moléculaire et Cellulaire
#  
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 3 of the License, or
#  (at your option) any later version.
#  
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#  
#  You should have received a copy of the GNU General Public License
#  along with this program.  If not, see <http://www.gnu.org/licenses/>.
#  
from PyQt5.QtWidgets import *
from panebase import PaneBase
from gridimage import GridImage


class AtlasDialog(PaneBase):
 
    def __init__(self, parent, location, imagesdir, gridname, data={} ):

        PaneBase.__init__(self, parent, "Atlas Data", data)
        
        self.location = location
        self.imagesdir = imagesdir
        self.gridname = gridname

        e = self.addfield(GridImage, 'filename', 'Atlas Image', '', '')
        e.imagetype = 'atlas'
        
        self.addbottom()
